### Method

# Ide CompletionContext get_bounds

#### Declaration

    gboolean
    ide_completion_context_get_bounds (
      IdeCompletionContext* self,
      GtkTextIter* begin,
      GtkTextIter* end
    )

#### Description

Gets the bounds for the completion, which is the beginning of the current word (taking break characters into account) to the current insertion cursor.

If `begin` is non-`NULL`, it will be set to the start position of the current word being completed.

If `end` is non-`NULL`, it will be set to the insertion cursor for the current word being completed.

Available since: | 3.32

#### Parameters

`begin` | `GtkTextIter`
| A `GtkTextIter`.
| The argument will be set by the function.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`end` | `GtkTextIter`
| A `GtkTextIter`.
| The argument will be set by the function.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` if the marks are still valid and `begin` or `end` was set.